//Client Home
//
//php artisan serve - pokretanje locahost servera
//npm run dev - jednokratno kompajliranje
//npm run watch - prati izmene i sam kompajlira


// Fonts
@import url('https://fonts.googleapis.com/css?family=Pontano+Sans&display=swap&subset=latin-ext');

// Variables
@import 'variables';

$theme-colors: (
        "primary": #69cce3,
        "dark": #272727,
        "orange": #de851c,
);

$enable-rounded	: false;

// Bootstrap
@import '~bootstrap/scss/bootstrap';

// Font Awesome
@import '~@fortawesome/fontawesome-free/scss/fontawesome';
@import '~@fortawesome/fontawesome-free/scss/regular';
@import '~@fortawesome/fontawesome-free/scss/solid';
@import '~@fortawesome/fontawesome-free/scss/brands';

/* general */
@import "general/general";

/* loader */
@import "general/loader";

/* variables */
@import "variables/borders";
@import "variables/colors";
@import "variables/typography";
@import "variables/z-index";
@import "variables/variables";
@import "variables/buttons";

/* atoms */
@import "atoms/input";
@import "atoms/text";
@import "atoms/loader";

/* components */
@import "components/_shop-navigation";
@import "components/_main-navigation";
@import "components/_large-navigation";
@import "components/_footer";
@import "components/_filter";
@import "components/_similar-slider";
@import "components/_slick";
@import "components/_color-picker";
@import "components/font-style";
@import "components/registration-drop";
@import "components/add-remove-product";
@import "components/modal";

/* main parts */
@import "main-parts/why-us";
@import "main-parts/recommend";
@import "main-parts/search";
@import "main-parts/category";
@import "main-parts/about-us";
@import "main-parts/login";
@import "main-parts/register";
@import "main-parts/checkout-summary";
@import "main-parts/checkout-address";
@import "main-parts/checkout-review";
@import "main-parts/404";
@import "main-parts/contact";

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

